Package org.apache.tomcat.util.descriptor.web

## Class TaglibDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.TaglibDescriptorImpl

All Implemented Interfaces:
  `TaglibDescriptor`

    public class TaglibDescriptorImpl
    extends Object
    implements TaglibDescriptor

### Constructor Summary

Constructors
`TaglibDescriptorImpl​(String location, String uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getTaglibLocation()` Obtain the location of the tag library.
`String` `getTaglibURI()` Obtain the URI for the tag library.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaglibDescriptorImpl

    public TaglibDescriptorImpl​(String location,
                                String uri)

### Method Detail

#### getTaglibLocation

    public String getTaglibLocation()

Description copied from interface: `jakarta.servlet.descriptor.TaglibDescriptor`
Obtain the location of the tag library.

Specified by:
  `getTaglibLocation` in interface `TaglibDescriptor`
Returns:
  the location of the tag library

#### getTaglibURI

    public String getTaglibURI()

Description copied from interface: `jakarta.servlet.descriptor.TaglibDescriptor`
Obtain the URI for the tag library.

Specified by:
  `getTaglibURI` in interface `TaglibDescriptor`
Returns:
  the URI for the tag library

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`